docs

# DocumentContent

data class DocumentContent ( val media: DocumentFile , val text: String ? = null, val textSources: TextSourcesList = emptyList()) : DocumentMediaGroupContent
Content copied to clipboard

## Constructors

DocumentContent
Link copied to clipboard
fun DocumentContent ( media: DocumentFile , text: String ? = null, textSources: TextSourcesList = emptyList())
Content copied to clipboard

## Functions

asTelegramMedia
Link copied to clipboard
open override fun asTelegramMedia (): TelegramMediaDocument
Content copied to clipboard
createResend
Link copied to clipboard
open override fun createResend ( chatId: ChatIdentifier , disableNotification: Boolean , protectContent: Boolean , replyToMessageId: MessageIdentifier ?, allowSendingWithoutReply: Boolean ?, replyMarkup: KeyboardMarkup ?): Request < ContentMessage < DocumentContent >>
Content copied to clipboard
toMediaGroupMemberTelegramMedia
Link copied to clipboard
open override fun toMediaGroupMemberTelegramMedia (): TelegramMediaDocument
Content copied to clipboard

## Properties

media
Link copied to clipboard
open override val media : DocumentFile
Content copied to clipboard
text
Link copied to clipboard
open override val text : String ? = null
Content copied to clipboard
textSources
Link copied to clipboard
open override val textSources : TextSourcesList
Content copied to clipboard

Full list of TextSources